Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 259700 - dev-lang/nemerle-0.9.3 fails to build w/ >=dev-lang/mono-2.2
Summary: dev-lang/nemerle-0.9.3 fails to build w/ >=dev-lang/mono-2.2
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: dotnet
URL: https://bugzilla.novell.com/show_bug....
Whiteboard: Pending Removal: 2012-02-22
Keywords: PMASKED
Depends on:
Blocks: 256261
  Show dependency tree
 
Reported: 2009-02-20 12:32 UTC by Michal Jakubowski
Modified: 2012-03-18 12:28 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Jakubowski 2009-02-20 12:32:11 UTC
at Nemerle.Compiler.TypesManager.Iter (Nemerle.Builtins.FunctionVoid`1<Nemerle.Compiler.TypeBuilder>) <0x0002f>
  at Nemerle.Compiler.TypesManager.compile_all_tyinfos (bool) <0x00243>
  at Nemerle.Compiler.TypesManager/_N__N_l23853_23944.apply_void () <0x00031>
  at Nemerle.Compiler.Solver.Enqueue (Nemerle.Builtins.FunctionVoid) <0x0004d>
  at Nemerle.Compiler.TypesManager.EmitDecls () <0x0008f>
  at Nemerle.Compiler.Passes.Run () <0x00223>
  at Nemerle.CommandlineCompiler.MainClass.main_with_catching () <0x000ff>
  at Nemerle.CommandlineCompiler.MainClass.Main () <0x00103>
  at (wrapper runtime-invoke) object.runtime_invoke_void (object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

        /usr/lib/libmono.so.0 [0x2b557428bdaf]
        /usr/lib/libmono.so.0 [0x2b55741ecd05]
        /lib/libpthread.so.0 [0x2b557506aa00]
        /lib/libc.so.6(gsignal+0x35) [0x2b557552d1e5]
        /lib/libc.so.6(abort+0x183) [0x2b557552e703]
        /usr/lib/libglib-2.0.so.0(g_assertion_message+0x100) [0x2b55749c9540]
        /usr/lib/libglib-2.0.so.0 [0x2b55749c99a2]
        /usr/lib/libmono.so.0 [0x2b55743e5c47]
        /usr/lib/libmono.so.0 [0x2b55743e5264]
        /usr/lib/libmono.so.0 [0x2b55743e3edf]
        /usr/lib/libmono.so.0 [0x2b5574358d7c]
        [0x409c6fc1]

Debug info from gdb:

[Thread debugging using libthread_db enabled]
[New Thread 0x2b5575b34de0 (LWP 20556)]
[New Thread 0x2aaaabc1e950 (LWP 20558)]
[New Thread 0x2aaaab9cd950 (LWP 20557)]
0x00002b557506987b in read () from /lib/libpthread.so.0
Current language:  auto; currently asm
  3 Thread 0x2aaaab9cd950 (LWP 20557)  0x00002b557506a181 in nanosleep () from /lib/libpthread.so.0
  2 Thread 0x2aaaabc1e950 (LWP 20558)  0x00002b5575068c71 in sem_wait () from /lib/libpthread.so.0
  1 Thread 0x2b5575b34de0 (LWP 20556)  0x00002b557506987b in read () from /lib/libpthread.so.0

Thread 3 (Thread 0x2aaaab9cd950 (LWP 20557)):
#0  0x00002b557506a181 in nanosleep () from /lib/libpthread.so.0
#1  0x00002b55743f61e0 in collection_thread (unused=0x0) at collection.c:34
#2  0x00002b5575063017 in start_thread () from /lib/libpthread.so.0
#3  0x00002b55755caf7d in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x2aaaabc1e950 (LWP 20558)):
#0  0x00002b5575068c71 in sem_wait () from /lib/libpthread.so.0
#1  0x00002b5574366ab1 in finalizer_thread (unused=0x0) at gc.c:928
#2  0x00002b5574387a69 in start_wrapper (data=0x6515a0) at threads.c:620
#3  0x00002b55744136bd in thread_start_routine (args=0x638f78) at threads.c:279
#4  0x00002b5574442f7e in GC_start_routine (arg=0x2aaaaaadde70) at pthread_support.c:1382
#5  0x00002b5575063017 in start_thread () from /lib/libpthread.so.0
#6  0x00002b55755caf7d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x2b5575b34de0 (LWP 20556)):
#0  0x00002b557506987b in read () from /lib/libpthread.so.0
#1  0x00002b557428bffc in mono_handle_native_sigsegv (signal=6, ctx=0x7fff36d56140) at mini-exceptions.c:1434
#2  0x00002b55741ecd05 in sigabrt_signal_handler (_dummy=6, info=0x7fff36d56270, context=0x7fff36d56140) at mini.c:13611
#3  <signal handler called>
#4  0x00002b557552d1e5 in raise () from /lib/libc.so.6
#5  0x00002b557552e703 in abort () from /lib/libc.so.6
#6  0x00002b55749c9540 in g_assertion_message () from /usr/lib/libglib-2.0.so.0
#7  0x00002b55749c99a2 in g_assertion_message_expr () from /usr/lib/libglib-2.0.so.0
#8  0x00002b55743e5c47 in mono_method_get_vtable_slot (method=0x11bc740) at class.c:3259
#9  0x00002b55743e5264 in mono_class_setup_vtable_general (class=0xfbdd60, overrides=0x0, onum=0) at class.c:3115
#10 0x00002b55743e3edf in mono_class_setup_vtable (class=0xfbdd60) at class.c:2577
#11 0x00002b5574358d7c in ves_icall_Type_GetPropertiesByName (type=0x2aaaac7e5468, name=0x0, bflags=62, ignore_case=0 '\0', reftype=0x2aaaac7e5468)
    at icall.c:3832
#12 0x00000000409c6fc1 in ?? ()
#13 0x00000000006049e0 in ?? ()
#14 0x00002b5575b34da8 in ?? ()
#15 0x00000000006049e0 in ?? ()
#16 0x00002b5575b34da8 in ?? ()
#17 0x00002aaaac87ad38 in ?? ()
#18 0x00007fff36d58770 in ?? ()
#19 0x00007fff36d56af0 in ?? ()
#20 0x0000000000000000 in ?? ()
#0  0x00002b557506987b in read () from /lib/libpthread.so.0

=================================================================
Got a SIGABRT while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries
used by your application.
=================================================================

make[3]: *** [out.stage1/Nemerle.stage1.dll] Aborted
make[2]: *** [aux-stage] Error 2
make[1]: *** [stage1] Error 2
make: *** [all] Error 2
 *
 * ERROR: dev-lang/nemerle-0.9.3 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2203:  Called die
 * The specific snippet of code:
 *       emake -j1 || die "make failed!"
 *  The die message:
 *   make failed!

Reproducible: Always
Comment 1 Dmitry Ivankov 2009-02-20 15:09:00 UTC
mono --version, please
Comment 2 Daniel Spoonhower 2009-03-18 18:57:24 UTC
I see something similar, though my error output does not match the above output exactly.  Mono version 2.2 (ebuild version 2.2-r3).  My error starts like:

make[3]: Entering directory `/var/tmp/portage/dev-lang/nemerle-0.9.3/work/nemerle-0.9.3/ncc'
COMPILE [stage1] Nemerle.dll
**__________................................................
ERROR:class.c:3259:mono_method_get_vtable_slot: assertion failed: (method->slot != -1)
Stacktrace:

  at (wrapper managed-to-native) System.MonoType.GetPropertiesByName (string,System.Reflection.BindingFlags,bool,System.Type) <0x00004>

 ...

  at Nemerle.Collections.List.Iter<object> (Nemerle.Core.list`1<object>,Nemerle.Builtins.FunctionVoid`1<object>) <0x000bc>
  at Nemerle.Core.list`1<object>.Iter (Nemerle.Builtins.FunctionVoid`1<object>) <0x00026>

and continues from there as in the original report.
Comment 3 Peter Alfredsen (RETIRED) gentoo-dev 2009-09-09 19:32:24 UTC
Package.masked so we can get bug 284306 on the road. Hopefully mono-2.6 has the stuff to build this, per this comment in upstream bug report:

>  -------  Comment #8 From Rodrigo Kumpera  2009-08-03 18:14:37 MDT
> Dmitry, this is been worked on and should be working in a couple of weeks.

Comment 4 Pacho Ramos gentoo-dev 2010-07-05 18:44:54 UTC
Seems that this will be fixed finally :-)
https://bugzilla.novell.com/show_bug.cgi?id=555464#c21
Comment 5 Pacho Ramos gentoo-dev 2011-09-14 11:28:08 UTC
Personally I don't have much interest on trying to bump this to 1.0.0.9832 and maintain it, any other from dotnet team is willing to maintain this? If none of us wants, maybe we should lastrite this or drop to maintainer-needed :/
Comment 6 Pacho Ramos gentoo-dev 2012-03-18 12:28:47 UTC
dropped